Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451069 - gSOAP amazon-gahp needs max to worker pool
Summary: gSOAP amazon-gahp needs max to worker pool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: beta
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Matthew Farrellee
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 463362
TreeView+ depends on / blocked
 
Reported: 2008-06-12 17:03 UTC by Matthew Farrellee
Modified: 2008-10-07 18:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-07 18:42:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0911 normal SHIPPED_LIVE Moderate: condor security, bug fix and enhancement update 2008-10-07 18:42:07 UTC

Description Matthew Farrellee 2008-06-12 17:03:13 UTC
config option AMAZON_GAHP_WORKER_MAX_NUM must be honored

Comment 1 Jaime Frey 2008-09-10 19:45:27 UTC
This config parameter should no longer be relevant, as the amazon_gahp no longer creates worker processes.

Comment 2 Matthew Farrellee 2008-09-11 03:57:36 UTC
The amazon_gahp takes -w <min # workers> and -m <max # workers>. A worker is no longer a separate process, but a separate pthread. The amazonjob.C param()s for and passes the AMAZON_GAHP_WORKER_MIN_NUM but does not do the same for the ..._MAX_NUM, leaving the max number of threads created unbounded.

Comment 3 Jaime Frey 2008-09-11 15:18:11 UTC
I was thinking the gahp was still single-threaded for some reason. I've pushed a fix to the 7.1 branch.

Comment 4 Matthew Farrellee 2008-09-11 15:52:32 UTC
This is tested by specifying AMAZON_GAHP_WORKER_MAX_NUM to some small value, say 2, submitting a number of jobs, say >> 2 , and verifying that the amazon-gahp does not create more than two threads at a time. Verification can be done by looking at the amazon-gahp process in the OS, or by looking at the amazon-gahp's log file to verify it only ever creates 2 threads.

Comment 7 errata-xmlrpc 2008-10-07 18:42:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0911.html


Note You need to log in before you can comment on or make changes to this bug.